DataDefinitionConstant (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface DataDefinitionConstant

- All Known Implementing Classes:
    DataDefinitionImpl

      public interface DataDefinitionConstant

  Implement this interface to access unique identifiers for data definitions that specify the kind of data that can be stored in a component. Additional information about each data definition appears in the data definition description that annotates each AUID constant.

  See the description of managing definitions in the package summary for more details of how to use these constants and dynamically extend the range of supported data definitions.

  See Also:
    `DataDefinitionDescription`, `DataDefinition`, `TypeDefinitions.DataDefinitionWeakReference`, `TypeDefinitions.DataDefinitionStrongReference`, `TypeDefinitions.DataDefinitionStrongReferenceSet`, `TypeDefinitions.DataDefinitionWeakReferenceSet`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `Auxiliary` Specifies auxiliary data.
    `static AUID` | `DataEssence` Specifies data essence.
    `static AUID` | `DescriptiveMetadata` Specifies descriptive metadata.
    `static AUID` | `Edgecode` Specifies a stream of film edge code values.
    `static AUID` | `LegacyPicture` Deprecated. Use `Picture` instead.
    `static AUID` | `LegacySound` Deprecated. Use `Sound` instead.
    `static AUID` | `LegacyTimecode` Deprecated. Use `Timecode` instead.
    `static AUID` | `Matte` Specifies a stream of essence that contains an image of alpha values.
    `static AUID` | `ParsedText` Specifies parsed text essence.
    `static AUID` | `Picture` Specifies a stream of essence that contains image data.
    `static AUID` | `PictureWithMatte` Specifies a stream of essence that contains image data and a matte.
    `static AUID` | `Sound` Specifies a stream of essence that contains a single channel of sound.
    `static AUID` | `Timecode` Specifies a stream of tape timecode values.
    `static AUID` | `Unknown` Specifies data of an unknown kind.

- - ### Field Detail

    - #### Picture

          @DataDefinitionDescription(description="Specifies a stream of essence that contains image data.")
          static final AUID Picture

      Specifies a stream of essence that contains image data.

    - #### LegacyPicture

          @DataDefinitionDescription(description="Specifies a stream of essence that contains image data.",
                                     aliases="DDEF_Picture")
           @Deprecated
          static final AUID LegacyPicture

      Deprecated. Use `Picture` instead.

      Specifies a stream of essence that contains image data.

    - #### Matte

          @DataDefinitionDescription(description="Specifies a stream of essence that contains an image of alpha values.",
                                     aliases="DDEF_Matte")
          static final AUID Matte

      Specifies a stream of essence that contains an image of alpha values.

    - #### PictureWithMatte

          @DataDefinitionDescription(description="Specifies a stream of essence that contains image data and a matte.",
                                     aliases="DDEF_PictureWithMatte")
          static final AUID PictureWithMatte

      Specifies a stream of essence that contains image data and a matte.

    - #### Sound

          @DataDefinitionDescription(description="Specifies a stream of essence that contains a single channel of sound.")
          static final AUID Sound

      Specifies a stream of essence that contains a single channel of sound.

    - #### LegacySound

          @DataDefinitionDescription(description="Specifies a stream of essence that contains a single channel of sound.",
                                     aliases="DDEF_Sound")
           @Deprecated
          static final AUID LegacySound

      Deprecated. Use `Sound` instead.

      Specifies a stream of essence that contains a single channel of sound.

    - #### Timecode

          @DataDefinitionDescription(description="Specifies a stream of tape timecode values.",
                                     aliases="DDEF_Timecode")
          static final AUID Timecode

      Specifies a stream of tape timecode values.

    - #### LegacyTimecode

          @DataDefinitionDescription(description="Specifies a stream of tape timecode values.")
           @Deprecated
          static final AUID LegacyTimecode

      Deprecated. Use `Timecode` instead.

      Specifies a stream of tape timecode values.

    - #### Edgecode

          @DataDefinitionDescription(description="Specifies a stream of film edge code values.",
                                     aliases="DDEF_Edgecode")
          static final AUID Edgecode

      Specifies a stream of film edge code values.

    - #### DescriptiveMetadata

          @DataDefinitionDescription(description="Specifies descriptive metadata.")
          static final AUID DescriptiveMetadata

      Specifies descriptive metadata.

    - #### Auxiliary

          @DataDefinitionDescription(description="Specifies auxiliary data.")
          static final AUID Auxiliary

      Specifies auxiliary data.

    - #### Unknown

          @DataDefinitionDescription(description="Specifies data of an unknown kind.")
          static final AUID Unknown

      Specifies data of an unknown kind.

    - #### DataEssence

          @DataDefinitionDescription(description="Specifies data essence.")
          static final AUID DataEssence

      Specifies data essence.

    - #### ParsedText

          @DataDefinitionDescription(description="Specifies parsed text essence.")
          static final AUID ParsedText

      Specifies parsed text essence. (Trial definition.)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.